%define debug_package	%{nil}

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

Summary:	'Good' plugins for the Elisa media center
Name:		elisa-plugins-good
Version:	0.5.23
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
License:	GPLv3
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core = %{version}
Requires:	elisa = %{version}
# For UPnP support
Suggests:	python-coherence
# For the weather report plugin
Suggests:	python-pymetar

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'good' (well-written and legally clean)
plugins for Elisa.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth



%changelog
* Fri Jan 16 2009 Adam Williamson <awilliamson@mandriva.com> 0.5.23-1mdv2009.1
+ Revision: 330357
- new release 0.5.23

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.22-1mdv2009.1
+ Revision: 318758
- new release 0.5.22

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.21-1mdv2009.1
+ Revision: 312379
- new release 0.5.21

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.20-1mdv2009.1
+ Revision: 308894
- drop all references to unneeded.patch, it's really not necessary now
- new release 0.5.20

* Tue Nov 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.19-1mdv2009.1
+ Revision: 306696
- disable unneeded.patch for now, it should no longer be needed, let's see
- new release 0.5.19

* Tue Nov 18 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.18-1mdv2009.1
+ Revision: 304131
- new release 0.5.18

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.17-1mdv2009.1
+ Revision: 299886
- new release 0.5.17

* Wed Oct 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.16-1mdv2009.1
+ Revision: 298123
- rediff unneeded.patch
- new release 0.5.16

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.15-1mdv2009.1
+ Revision: 296262
- add unneeded.patch: don't include useless (on Linux) modules (this was
  previously done in main package but now cannot be)
- new release 0.5.15

* Wed Oct 15 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.14-1mdv2009.1
+ Revision: 293841
- new release 0.5.14

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.13-1mdv2009.1
+ Revision: 291716
- new release 0.5.13

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.12-1mdv2009.0
+ Revision: 289956
- new release 0.5.12

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.11-1mdv2009.0
+ Revision: 288049
- new release 0.5.11

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.9-2mdv2009.0
+ Revision: 283259
- don't suggest python-lirc (should be in ugly, not good or bad)

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.9-1mdv2009.0
+ Revision: 283238
- new release 0.5.9

* Thu Sep 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.8-1mdv2009.0
+ Revision: 280859
- new release 0.5.8

* Tue Aug 26 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.7-1mdv2009.0
+ Revision: 276056
- new release 0.5.7

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.5-1mdv2009.0
+ Revision: 271613
- new release 0.5.5

* Thu Jul 31 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.3-2mdv2009.0
+ Revision: 258362
- suggest python-pymetar, add comments explaining the suggests

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.com> 0.5.3-1mdv2009.0
+ Revision: 254641
- new release 0.5.3

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.5-1mdv2008.1
+ Revision: 188615
- prettify svn / pre-release conditionals
- new release 0.3.5

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-3mdv2008.1
+ Revision: 181073
- revert last change, updater is not enabled in 0.3.4 default config (only rc2). if re-enabled in future releases, will use a more elegant patch.

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-2mdv2008.1
+ Revision: 181061
- don't build the auto-updater

* Tue Mar 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-1mdv2008.1
+ Revision: 179128
- buildrequires elisa-core not elisa (fixes circular dependency issue)
- new release 0.3.4 final

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc3.1mdv2008.1
+ Revision: 177153
- correct license (all plugins actually seem to be under GPLv3, none MIT)
- new release 0.3.4rc3

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc1.1mdv2008.1
+ Revision: 176628
- import elisa-plugins-good


